Name: gksu
Version: 0.9.11
Release: alt1

Summary: A Gtk application to wrap 'su'
License: GPL
Group: System/Base
Url: http://www.nongnu.org/%name/
Source: http://savannah.nongnu.org/download/%name/%name-%version.tar.gz
Source1: ru.po

Patch1:  gksu-0.9.8-alt-terminal.patch

# Automatically added by buildreq on   30 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 glib2-devel libXft libatk-devel libexpat libgtk+2-devel libpango-devel pkgconfig

%description
GKsu is a GTK+ frontend to the su and sudo programs. It supports login
shells and preserving environment variables, and is useful for launching
graphical programs that need to run as another user. When operating as
a sudo replacement, it respects /etc/sudoers definitions.

%prep
%__install -pD -m644 %SOURCE1 po/ru.po
%setup -q -n %name-%version
%patch1 -p1

%build
%configure
%make_build

%install
%makeinstall
%find_lang %name

install -d 644 $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): needs=x11 section=Configuration/Other icon=gksu.png title="Run as different user (GKsu)" command=%_bindir/gksuexec
?package(%name): needs=x11 section=Configuration/Other icon=gksu.png title="Root Terminal (GKsu)" command="%_bindir/gksu /usr/bin/gnome-terminal"
EOF

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/gnome/apps/System/*
%_man1dir/*
%_datadir/pixmaps/*
%_menudir/*
%doc AUTHORS ChangeLog INSTALL NEWS README TODO

%changelog
* Sat Jun 28 2003 Alex Murygin <murygin@altlinux.ru> 0.9.11-alt1
- new version

* Tue Jun 03 2003 Alex Murygin <murygin@altlinux.ru> 0.9.10-alt1
- new version
- ru.po fixed

* Sun May 11 2003 Alex Murygin <murygin@altlinux.ru> 0.9.9-alt1
- new version
- removed escape patch

* Wed Apr 30 2003 Alex Murygin <murygin@altlinux.ru> 0.9.8-alt1
- Initial revision.

